﻿@using Jumbula.Web.WebLogic.UserService
@model SportsClub.Areas.Dashboard.Models.ConfirmInvitationViewModel

@{
    ViewBag.Title = "Confirm Staff Email";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section Styles{
   <link href="~/Content/Student/Home/LoginSignup.css" rel="stylesheet" />
}


@using (Html.BeginForm(routeValues: new { userName = Request.QueryString["userName"], token = Request.QueryString["token"], updateMode = ViewBag.UpdateMode }))
{
    @Html.AntiForgeryToken()

    <section class="domains-portal panel-styles">
        <h2 style="color:#fff;font-size:20px">You've been invited by @this.GetCurrentClubName() to join this organization on Jumbula. Create your password to @(Model.IsNotPartnerRoleInPartnerClub ? "confirm your account." : "log in to your new dashboard.")</h2>

        <form class="login-form clearfix " action="" method="post">

            <div class="form-group">
                <span class="input-icon jbi-email"></span>
                @Html.TextBoxFor(model => model.UserName, new { placeholder = "Email", @class = "form-control jb-icon-input", type = "email", autofocus = "", @id = "exampleInputEmail1", @disabled = "disabled" })
                @*@Html.EditorFor(model => model.UserName , new { htmlAttributes = new { @class = "form-control jb-icon-input ", @id = "exampleInputEmail1", @disabled= "disabled" } })*@
                @Html.ValidationMessageFor(model => model.UserName, null, new { @class = "help-inline" })
            </div>

            <div class="form-group">
                <span class="input-icon jbi-lock"></span>
                @Html.EditorFor(model => model.Password, new { htmlAttributes = new { @class = "form-control jb-icon-input", @id = "exampleInputPassword1", @placeholder = "Password" } })
                @Html.ValidationMessageFor(model => model.Password)
            </div>

            <button type="submit" value="Submit" class="btn btn-jb jb-lg-btn">@(Model.IsNotPartnerRoleInPartnerClub ? "Confirm" : "Log in")</button>

            @if (!Model.IsNotPartnerRoleInPartnerClub)
            {
                <div class="form-group checkbox" id="remember">
                    <label style="color:#fff">
                        <input id="RememberMe" name="RememberMe" type="checkbox" value="true"><input name="RememberMe" type="hidden" value="false">
                        <span class="check"></span>
                        Remember me
                    </label>
                </div>
            }

        </form>

    </section>

}

